Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceWaterfalls

Batch-run a waterfall

POST
/v1/waterfalls/batch-run

Run a waterfall over up to 1,000 inputs (JSON rows or CSV) in the background through gr-rows, paced per vendor. Returns the batch (a list) to poll.

Authorization

bearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/waterfalls/batch-run" \  -H "Content-Type: application/json" \  -d '{    "waterfall_id": "string"  }'
{  "object": "waterfall_batch",  "id": "string",  "waterfall_id": "string",  "total": 0,  "runs": [    "string"  ],  "status_url": "string"}